This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 68752 - kdebase fails compiling in the kio-vfolder addon
kdebase fails compiling in the kio-vfolder addon
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kdebase (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: wdovlrrw
Ben Levenson
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-07-13 10:35 EDT by Johnny Mnemonic
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-15 07:13:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Johnny Mnemonic 2002-07-13 10:35:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.0) Gecko/20020605

Description of problem:
I get the following compilation error:
protocol.cpp: In method `void VFolder::VFolderProtocol::readXmlFile
(QString)':
protocol.cpp:41: `basename' undeclared (first use this function)
protocol.cpp:41: (Each undeclared identifier is reported only once for
each function it appears in.)
make: *** [kio_vfolder_la.all_cpp.lo] Error 1

I can't find anything known about this "basename" function. I tried with
libgen.h and strings.h, both seems not to be compliant with this context.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. compile kdebase-3.0.2-1.src.rpm on any 7.3 standard installation.


Additional info:
Comment 1 Ngo Than 2002-07-14 15:37:28 EDT
it's fixed in kdebase-3.0.2-3
Comment 2 Johnny Mnemonic 2002-07-15 07:13:37 EDT
great, thank you.
But.. where can I find that package? is there a place where you store latest
packages or rawhide is the most recent version?

Note You need to log in before you can comment on or make changes to this bug.